<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Box Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_box.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_box-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Box Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_box_8hpp_source.html">Box.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aca78d7db44972bfa78d46b7bbc8796f6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#aca78d7db44972bfa78d46b7bbc8796f6">Box</a> ()</td></tr>
<tr class="separator:aca78d7db44972bfa78d46b7bbc8796f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a585d0404a35714d72dc7b538a942a646"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#a585d0404a35714d72dc7b538a942a646">Box</a> (<a class="el" href="class_vec.html">Vec</a> p)</td></tr>
<tr class="separator:a585d0404a35714d72dc7b538a942a646"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d3c07d8475cba63a7b481b40d6deb37"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#a2d3c07d8475cba63a7b481b40d6deb37">Box</a> (<a class="el" href="class_vec.html">Vec</a> <a class="el" href="class_box.html#ad1f3063a392fa6d1fc2b5aec6d8f0b3c">min</a>, <a class="el" href="class_vec.html">Vec</a> <a class="el" href="class_box.html#ae853f5935d9a8aa3823993d6d80e0300">max</a>)</td></tr>
<tr class="separator:a2d3c07d8475cba63a7b481b40d6deb37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a5e09398e85d602a046b429062fb9c2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#a6a5e09398e85d602a046b429062fb9c2">~Box</a> ()</td></tr>
<tr class="separator:a6a5e09398e85d602a046b429062fb9c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8eb0b6a51547413ba7b644c03ba733f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#af8eb0b6a51547413ba7b644c03ba733f">hit</a> (const <a class="el" href="class_ray.html">Ray</a> &amp;r, double *tnear, double *tfar)</td></tr>
<tr class="separator:af8eb0b6a51547413ba7b644c03ba733f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa440a95b15ae156b61dc6952440ecf4d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#aa440a95b15ae156b61dc6952440ecf4d">expandToInclude</a> (const <a class="el" href="class_box.html">Box</a> &amp;b)</td></tr>
<tr class="separator:aa440a95b15ae156b61dc6952440ecf4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91c05db61f3d6ee482f023b52beef709"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#a91c05db61f3d6ee482f023b52beef709">expandToInclude</a> (const <a class="el" href="class_vec.html">Vec</a> &amp;p)</td></tr>
<tr class="separator:a91c05db61f3d6ee482f023b52beef709"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09a048ff5995a621847e675e9bf51856"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#a09a048ff5995a621847e675e9bf51856">maxDimension</a> ()</td></tr>
<tr class="separator:a09a048ff5995a621847e675e9bf51856"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a04958793a3430d2bcab9a819c77d33"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#a3a04958793a3430d2bcab9a819c77d33">surfaceArea</a> ()</td></tr>
<tr class="separator:a3a04958793a3430d2bcab9a819c77d33"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad1f3063a392fa6d1fc2b5aec6d8f0b3c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#ad1f3063a392fa6d1fc2b5aec6d8f0b3c">min</a></td></tr>
<tr class="separator:ad1f3063a392fa6d1fc2b5aec6d8f0b3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae853f5935d9a8aa3823993d6d80e0300"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#ae853f5935d9a8aa3823993d6d80e0300">max</a></td></tr>
<tr class="separator:ae853f5935d9a8aa3823993d6d80e0300"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad846af015e917b52877ca9af26e771f8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_box.html#ad846af015e917b52877ca9af26e771f8">extent</a></td></tr>
<tr class="separator:ad846af015e917b52877ca9af26e771f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aca78d7db44972bfa78d46b7bbc8796f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca78d7db44972bfa78d46b7bbc8796f6">&sect;&nbsp;</a></span>Box() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Box::Box </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a585d0404a35714d72dc7b538a942a646"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a585d0404a35714d72dc7b538a942a646">&sect;&nbsp;</a></span>Box() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Box::Box </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_vec.html">Vec</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d3c07d8475cba63a7b481b40d6deb37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d3c07d8475cba63a7b481b40d6deb37">&sect;&nbsp;</a></span>Box() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Box::Box </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_vec.html">Vec</a>&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_vec.html">Vec</a>&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a5e09398e85d602a046b429062fb9c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a5e09398e85d602a046b429062fb9c2">&sect;&nbsp;</a></span>~Box()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Box::~Box </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa440a95b15ae156b61dc6952440ecf4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa440a95b15ae156b61dc6952440ecf4d">&sect;&nbsp;</a></span>expandToInclude() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Box::expandToInclude </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_box.html">Box</a> &amp;&#160;</td>
          <td class="paramname"><em>b</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a91c05db61f3d6ee482f023b52beef709"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91c05db61f3d6ee482f023b52beef709">&sect;&nbsp;</a></span>expandToInclude() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Box::expandToInclude </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_vec.html">Vec</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8eb0b6a51547413ba7b644c03ba733f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8eb0b6a51547413ba7b644c03ba733f">&sect;&nbsp;</a></span>hit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Box::hit </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_ray.html">Ray</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>tnear</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>tfar</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a09a048ff5995a621847e675e9bf51856"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09a048ff5995a621847e675e9bf51856">&sect;&nbsp;</a></span>maxDimension()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t Box::maxDimension </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a04958793a3430d2bcab9a819c77d33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a04958793a3430d2bcab9a819c77d33">&sect;&nbsp;</a></span>surfaceArea()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double Box::surfaceArea </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad846af015e917b52877ca9af26e771f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad846af015e917b52877ca9af26e771f8">&sect;&nbsp;</a></span>extent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Box::extent</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae853f5935d9a8aa3823993d6d80e0300"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae853f5935d9a8aa3823993d6d80e0300">&sect;&nbsp;</a></span>max</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Box::max</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad1f3063a392fa6d1fc2b5aec6d8f0b3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1f3063a392fa6d1fc2b5aec6d8f0b3c">&sect;&nbsp;</a></span>min</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> Box::min</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_box_8hpp_source.html">Box.hpp</a></li>
<li>src/<a class="el" href="_box_8cpp.html">Box.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_box.html">Box</a></li>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
